The Perfect Spamsnake - Ubuntu Jaunty Pyzor Error -- Author Rocky

Discussion in 'HOWTO-Related Questions' started by moomooboy, Jun 15, 2009.

  1. moomooboy

    moomooboy New Member

    The Perfect Spamsnake - Ubuntu Jaunty Pyzor Error -- Posting Rocky

    Hi Rocky,

    I've been following your new guide, i'm new to linux and i would like to implement this Spamsnake gateway to try out.

    But i don't think the following message is right, i'm assuming this is an error, i don't know if i've missed something here, but i've followed your guide twice, everytime i reach this part,

    I get the bad interpreter: No such file or directory


    Error: ?? (Below)

    [email protected]:~# pyzor --homedir /var/lib/MailScanner discover
    -bash: /usr/bin/pyzor: /usr/bin/python: bad interpreter: No such file or directory

    [email protected]:~# pyzor ping -bash: /usr/bin/pyzor: /usr/bin/python: bad interpreter: No such file or directory

    Could you please let me know how to fix this.:(

    Regards

    Henry
     
    Last edited: Jun 15, 2009
  2. falko

    falko Super Moderator ISPConfig Developer

    Please make sure that python is installed.

    Code:
    aptitude install python
     
  3. moomooboy

    moomooboy New Member

    aptitude install python

    Hi Falko,

    when i typed "aptitude install python"

    It states it will uninstall it, so i press Yes, i then reran "aptitude install python"


    [email protected]:~# aptitude install python
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    No packages will be installed, upgraded, or removed.
    0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 0B of archives. After unpacking 0B will be used.
    Writing extended state information... Done
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done

    I then ran again: (same error message), could it have something to do with editing python to use back 2.5 instead of 2.6? :confused:

    pyzor --homedir /var/lib/MailScanner discover
    -bash: /usr/bin/pyzor: /usr/bin/python: bad interpreter: No such file or directory
     
  4. mrtero

    mrtero New Member

    Same problem as the above

    Code:
    [email protected]:/usr/src/mailscanner/MailScanner-install-4.75.11# pyzor --homedir /var/lib/MailScanner discover
    -bash: /usr/bin/pyzor: /usr/bin/python: bad interpreter: No such file or directory
    a quote from the guide:
    So I assume that i somehow need to install python2.5? but how would I manage that?

    Edit: Forgot to add the message that accure when i try to run the command
    Code:
    aptitude install python
    Code:
    [email protected]:/usr/src/mailscanner/MailScanner-install-4.75.11# aptitude install python
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Reading extended state information
    Initializing package states... Done
    Writing extended state information... Done
    The following packages will be REMOVED:
      clamav{u} clamav-base{u} clamav-daemon{u} clamav-freshclam{u} libclamav6{u} libconvert-binhex-perl{u} libconvert-tnef-perl{u} libdbd-sqlite3-perl{u}
      liberror-perl{u} libfilesys-df-perl{u} libio-socket-inet6-perl{u} libio-stringy-perl{u} libmail-spf-perl{u} libmime-perl{u} libmime-tools-perl{u}
      libnet-cidr-lite-perl{u} libnet-cidr-perl{u} libnetaddr-ip-perl{u} libole-storage-lite-perl{u} libsocket6-perl{u} libsys-hostname-long-perl{u}
      libsys-syslog-perl{u} libtommath0{u} re2c{u} spamassassin{u} spamc{u} tnef{u}
    0 packages upgraded, 0 newly installed, 27 to remove and 0 not upgraded.
    Need to get 0B of archives. After unpacking 32.6MB will be freed.
    Do you want to continue? [Y/n/?]
     
    Last edited: Jun 16, 2009
  5. mrtero

    mrtero New Member

    Could it be that i need to install python2.5?

    - http://packages.ubuntu.com/jaunty/python2.5

    Code:
    apt-get install python2.5
    Or will this mess up some random configuration that I do not know about? :-/

    Here is an output of what i get when i run the command:
    Code:
    dpkg -l
    Code:
    ...
    ii  python                            2.6.2-0ubuntu1                    An interactive high-level object-oriented language (default version)
    ii  python-apt                        0.7.9~exp2ubuntu10                Python interface to libapt-pkg
    ii  python-central                    0.6.11ubuntu7                     register and build utility for Python packages
    ii  python-dbus                       0.83.0-1ubuntu1                   simple interprocess messaging system (Python interface)
    ii  python-gdbm                       2.6.2-0ubuntu1                    GNU dbm database support for Python
    ii  python-gnupginterface             0.3.2-9ubuntu2                    Python interface to GnuPG (GPG)
    ii  python-gobject                    2.16.1-1ubuntu2                   Python bindings for the GObject library
    ii  python-minimal                    2.6.2-0ubuntu1                    A minimal subset of the Python language (default version)
    ii  python-newt                       0.52.2-11.3ubuntu3                A NEWT module for Python
    ii  python-openssl                    0.7-2ubuntu1                      Python wrapper around the OpenSSL library
    ii  python-pam                        0.4.2-12ubuntu3                   A Python interface to the PAM library
    ii  python-pyopenssl                  0.7-2ubuntu1                      transitional dummy package
    ii  python-serial                     2.3-1                             pyserial - module encapsulating access for the serial port
    ii  python-support                    0.8.7ubuntu4                      automated rebuilding support for Python modules
    ii  python-twisted-bin                8.2.0-2                           Event-based framework for internet applications
    ii  python-twisted-core               8.2.0-2                           Event-based framework for internet applications
    ii  python-zopeinterface              3.4.0-0ubuntu3                    The implementation of interface definitions for Zope 3
    ii  python2.6                         2.6.2-0ubuntu1                    An interactive high-level object-oriented language (version 2.6)
    ii  python2.6-minimal                 2.6.2-0ubuntu1                    A minimal subset of the Python language (version 2.6)
    ii  pyzor                             1:0.4.0+cvs20030201-8             spam-catcher using a collaborative filtering network
    ii  razor                             1:2.85-1                          spam-catcher using a collaborative filtering network
    ...
     
  6. mrtero

    mrtero New Member

    Sorry for spamming your thread here :p

    But seems to work here : D

    So the solution was:

    Install python2.5
    Code:
    apt-get install python2.5
    which looked something like this:

    Code:
    [email protected]:/usr/src/mailscanner/MailScanner-install-4.75.11# apt-get install python2.5
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following packages were automatically installed and are no longer required:
      libconvert-binhex-perl re2c clamav libmail-spf-perl clamav-freshclam libsocket6-perl liberror-perl libnetaddr-ip-perl clamav-base libclamav6 spamassassin
      libfilesys-df-perl libmime-tools-perl spamc tnef libio-stringy-perl libole-storage-lite-perl clamav-daemon libnet-cidr-lite-perl libio-socket-inet6-perl
      libsys-syslog-perl libconvert-tnef-perl libmime-perl libnet-cidr-perl libtommath0 libdbd-sqlite3-perl libsys-hostname-long-perl
    Use 'apt-get autoremove' to remove them.
    The following extra packages will be installed:
      python2.5-minimal
    Suggested packages:
      python2.5-doc python-profiler binfmt-support
    The following NEW packages will be installed:
      python2.5 python2.5-minimal
    0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
    Need to get 4108kB of archives.
    After this operation, 15.0MB of additional disk space will be used.
    Do you want to continue [Y/n]? y
    Get:1 http://no.archive.ubuntu.com jaunty/main python2.5-minimal 2.5.4-1ubuntu4 [1191kB]
    Get:2 http://no.archive.ubuntu.com jaunty/main python2.5 2.5.4-1ubuntu4 [2917kB]
    Fetched 4108kB in 3s (1255kB/s)
    Selecting previously deselected package python2.5-minimal.
    (Reading database ... 35455 files and directories currently installed.)
    Unpacking python2.5-minimal (from .../python2.5-minimal_2.5.4-1ubuntu4_i386.deb) ...
    Selecting previously deselected package python2.5.
    Unpacking python2.5 (from .../python2.5_2.5.4-1ubuntu4_i386.deb) ...
    Processing triggers for man-db ...
    Setting up python2.5-minimal (2.5.4-1ubuntu4) ...
    Linking and byte-compiling packages for runtime python2.5...
    
    Setting up python2.5 (2.5.4-1ubuntu4) ...
    
    Processing triggers for libc6 ...
    ldconfig deferred processing now taking place
    and than I ran the command again
    Code:
    pyzor --homedir /var/lib/MailScanner discover
    which gave me this output:
    Code:
    [email protected]:/usr/src/mailscanner/MailScanner-install-4.75.11# pyzor --homedir /var/lib/MailScanner discover
    downloading servers from http://pyzor.sourceforge.net/cgi-bin/inform-servers-0-3-x
     
  7. moomooboy

    moomooboy New Member

    Spam all you like =p

    I'm building this to stop spammer like you mrtero :p

    Thanks, i guess we really need to READ the instructions properly !

    how did you resolve the Clamav-module??

    when i run the apt-get command to download Clamav-module, i think it says it doesn't exist~!
     
  8. mrtero

    mrtero New Member

    Awh, haven't posted my solution to that yet, but this is mainly because I don't believe that i have solved it :p

    I installed clamav instead of clamav-module :p

    And I will try to follow the rest of the tutorial with that : ) haven't come to any problems yet, but then again, haven't configured ClamAV yet either :p

    So, who knows : )

    Found this while searching at google tho:

    - http://help.lockergnome.com/linux/Switching-clamavmodule-clamd-MailScanner--ftopict481680.html

    He mentions something about Clamav-module, but I myself think that we are searching for the wrong package :p

    Wish I had better news for you : ) but will keep you updated, just keep an eye out on the forum ;D

    - meat another problem tho,

    16.4 Start the system
    Code:
    check_mailscanner
    /etc/init.d/postfix star
    I get this error when I run check_mailscanner
    Code:
    -bash: check_mailscanner: command not found
    But I do not believe that this is a serious problem : )
     
  9. mrtero

    mrtero New Member

Share This Page